package com.rjconsultores.ventaboletos.enums;

public enum FolioSistemaEnum {

	FOLIO_SISTEMA("FOLIO_SISTEMA_", true),
	FOLIO_SISTEMA_BPE("FOLIO_SISTEMA_BPE_", true),
	FOLIO_SISTEMA_DAV("FOLIO_SISTEMA_DAV_", false),
	;

	private String nome;
	private boolean isCveEstado;

	private FolioSistemaEnum(String nome, boolean isCveEstado) {
		this.nome = nome;
		this.isCveEstado = isCveEstado;
	}

	public static FolioSistemaEnum getFolioSistema(String nome) {
		for (FolioSistemaEnum folio : FolioSistemaEnum.values()) {
			if (folio.nome.equals(nome)) {
				return folio;
			}
		}
		throw new IllegalArgumentException("Folio Sistema não encontrado.");
	}

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public boolean isCveEstado() {
		return isCveEstado;
	}

	public void setCveEstado(boolean isCveEstado) {
		this.isCveEstado = isCveEstado;
	}

}
